#!/bin/sh

ifconfig wlan0 down 2>/dev/null
ifconfig wlan1 down 2>/dev/null

wlanctl-ng wlan0 lnxreq_ifstate ifstate=disable 2>/dev/null
wlanctl-ng wlan1 lnxreq_ifstate ifstate=disable 2>/dev/null

rmmod prism2_cs 2>/dev/null
rmmod p80211    2>/dev/null

cd /etc/pcmcia
a=`ls hostap_cs.conf 2>/dev/null`
b=`ls wlan-ng.conf 2>/dev/null`

echo

if [ "x"$a == "xhostap_cs.conf" ]
then
    mv -v hostap_cs.conf hostap_cs.conf~
    mv -v wlan-ng.conf~ wlan-ng.conf
else
    mv -v hostap_cs.conf~ hostap_cs.conf
    mv -v wlan-ng.conf wlan-ng.conf~
fi

echo

/etc/init.d/pcmcia stop
sleep 1
/etc/init.d/pcmcia start

cd /etc/pcmcia
a=`ls hostap_cs.conf  2>/dev/null`
b=`ls wlan-ng.conf    2>/dev/null`

echo
[ "x"$a == "xhostap_cs.conf" ] && echo -n "Switched to driver hostap. "
[ "x"$b == "xwlan-ng.conf"   ] && echo -n "Switched to driver wlan-ng. "
echo "You must eject and insert the card."
echo
